SysInit:
 ;==============Clear Memory================================      
	ldpr0	080h,FSR0
	mvl	080h
ClriniMen0:   
	clrf	POINC0,ACCE
	nop
	dcsz  WREG,F,ACCE
	jmp	ClriniMen0

;OSCS[1:0] DHS[1:0] DMS[2:0] CUPS					;
	MVL	11H		;CPUCLK=DHS_CK=HS_CK/4=2M/4=500k	;	
	MVF	OSCCN0,F,A	;OSCS[1:0] DHS[1:0] DMS[2:0] CUPS	;		
;OSCS[1:0]HS_CKlʓ  	<11>OSC_RTC 				;	
;				<10>OSC_XT 				;	
;				<01>OSC_LPO 				;	
;				<00>OSC_HAO				;	
;DHS[1:0]DHS_CKl 	<11>HS_CK    8                   	;        
;				<10>HS_CK    8 			;	
;				<01>HS_CK    4                      	;        
;				<00>HS_CK    2                         ;
;DMS[2:0]DMS_CK l  <011>DHS_CK    16  <111>DHS_CK    256	;    
;				<010>DHS_CK    8  <110>DHS_CK    128	;      
;				<001>DHS_CK    4  <101>DHS_CK    64 	;	       
;				<000>DHS_CK    2  <100>DHS_CK    32 	;	       				
;CPUS[0]CPU_CK lx 	<1>DHS_CK  <0>HS_CK           		;	             
;-----------------------------------------------------------------------;        
	MVL	1cH		;00001100b  ADC_CK=DHS_CK2=250k	;	
	MVF	OSCCN1,F,A	;LCPS[1:0] DADC[1:0] DTMB[1:0] TMBS 	;

	MVL	07H		;00000111bϵĬֵ	4M HAO		;
	MVF	OSCCN2,F,A						;
;ENRTC[0]ⲿU RTCÿ <1>ⲿRTCU	<0>P]ⲿRTC	;
;ENXT[0]ⲿU XT ÿ  <1>ⲿ XT U <0>P]ⲿXT	;
;XTS[1:0]ⲿUUlx	<11>~ 8MHz			;
;					<10>O 			;    
;					<01>~4MHz 			;
;					<00>~ 32768Hz  			;
;HAOM[1:0]ȲU HAO Ulx	<11>8MHz 			;
;					<10>O 			;
;					<01>4MHz   			;  
;					<00>2MHz   			;
;ENHAO[0]ȲU HAO ÿ 	<1> 	<0>P] 	;
;LPO[0]ȲU LPO 	<1> 	<0>P]     	;   
	setf	keystate,acce
sysinit1:
 ;==========Setup PT1 Interrupt====================
	mvl	00000010b
	mvf	PT1,F,ACCE      
	mvl	00000001b     ; Set  Digital Channel
	mvf	PT1DA,F,ACCE
	mvl	11000000b     
	mvf	TRISC1,F,ACCE
	mvl	00111110b
	mvf	PT1PU,F,ACCE  ; Set Pull up Resistor    
;==============Setup PT2 ========================
	
	clrf	PT2,ACCE
	mvl	11000000b
	mvf	TRISC2,F,ACCE
	mvl	00000011b
	mvf	PT2PU,F,ACCE 
	MVL	00111100b
	MVF	PT2DA,f,acce	
 ;==========Setup PT3============================
	CLRF	PT3PU,acce
	
	setf	PT3DA,acce
	;mvl	00000000b
	clrf	TRISC3,acce
	clrf	PT3,acce
;==========Setup VDDA=======================================
	mvl	11001001b				;In.ACM
	mvf	PWRCN,F,ACCE 
	;mvl	40h
	;mvf	CSFCN0,f,acce	
	call	delay10ms
 ;==========Setup ADC0=======================================
      mvl   01010011b	;OSR:2048, PGA=8, VRGN:1/2		;								;
      mvf   AD1CN3,F,ACCE						;
;-----------------------------------------------------------------------;
      MVL	02H		;ڲREFOο<32	;
      MVF	AD1CN0,F,A                                		;
      MVL	00110100b		;AI1,VSS, ADGN=1		;
      MVF	AD1CN1,F,A  						;
      MVL	00001010b		; οAI6 οAI5	;
      MVF	AD1CN2,F,A			
 ;==========Set Timmer===================================    
      mvl	11110000b		;0.5sжƵ
      mvf	TMACN,F,ACCE     
      clrf	TMAR,acce
 ;==========Set LCD=======================================
      mvl	01h
      mvf	BSRCN,f,acce
      mvl	11011100b
	mvf	LCDCN1,F,Bank
	mvl	01100100b
	mvf	LCDCN2,F,Bank     
      setf	LCD0,bank
      setf	LCD1,bank
      setf	LCD2,bank
      setf	LCD3,bank
      setf	LCD4,bank
      setf	LCD5,bank
 ;==========Set Timmer=======================================
      clrf  status,ACCE
      clrf  PCLATH,ACCE 
;==========INTE Set============================
      mvl   00000100b         ;timerAж            
      mvf   INTE0,F,ACCE
      BSF	INTE1,AD1IE,Acce		;AD1ж
;======================================
      clrf	INTF0,ACCE   
      clrf	INTF1,ACCE  
;======================================
	bsf	AD1CN0,ENAD1,ACCE
	bsf	INTE0,GIE,ACCE  

      mvl   10h
      mvf   count,f,acce
      mvl	03h
	mvf  ADCquit,f,acce
	clrf	buffer,acce
	clrf	buffer+1,acce
	clrf	buffer+2,acce
	clrf	buffer+3,acce
	clrf	flag,acce
	clrf	Eflag,acce
	ret
;=======================================
delay10ms:
	mvl	20
	mvf	temp,f,acce
delay_loop1:
	clrf	wreg,acce
delay_Loop2:
	dcsz	wreg,f,acce
	jmp	delay_Loop2	
	dcsz	temp,f,acce
	jmp	delay_loop1
	ret	

